MIFARE_DESFIRE_AID(3)

NAME
mifare_desfire_aid_new, mifare_desfire_aid_new_with_mad_aid, mifare_desfire_aid_get_aid - Mifare DESFire AID Manipulation Functions

LIBRARY
Mifare card manipulation library (libfreefare, -lfreefare)

SYNOPSIS
#include <freefare.h>
MifareDESFireAID
mifare_desfire_aid_new(uint32_t aid);
MifareDESFireAID
mifare_desfire_aid_new_with_mad_aid(MadAid mad_aid, uint8_t n);
uint32_t
mifare_desfire_aid_get_aid(MifareDESFireAID aid);

DESCRIPTION
The mifare_desfire_aid_*() functions allows management of Mifare DESFire AIDs. The mifare_desfire_aid_new() function returns a new Mifare DESFire AID of value aid.

The mifare_desfire_aid_new_with_mad_aid() functions returns a new Mifare DESFire AID using a Mifare Classic AID mad_aid and n as the last nibble of the new AID.

Both mifare_desfire_aid_new() and mifare_desfire_aid_new_with_mad_aid() allocates memory that should be reclaimed using free(3).

The mifare_desfire_aid_get_aid() function returns the aid of the provided Mifare DESFire AID.

RETURN VALUES
The allocation functions returns the allocated AID on success, NULL otherwise.

SEE ALSO
freefare(3), mifare_classic(3), free(3)

AUTHORS
Romain Tartiere <romain@il4p.org>